
Foreman - Feature #6468

Authorization filter owner = current_user

07/02/2014 08:49 AM - Martin Matuška

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Users, Roles and Permissions   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1713

  

Description

The new rights system in Foreman 1.5 is missing an ability to match the host owner with the current user logged in.

A possible syntax could be:

owner = current_user

and/or

owner_id = current_user_id

This way an abstract role for a user able to manage just his own hosts is possible (or his own hosts in addition to other hosts)

Related issues:

Related to Foreman - Bug #7440: autocomplete for 'owner = current_user' is no... Closed 09/15/2014

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 5dfb51bb - 09/15/2014 08:56 AM - Tomer Brisker

Fixes #6468 - Allow filtering/searching by active user

History

#1 - 07/10/2014 11:49 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 07/11/2014 03:00 AM - Marek Hulán

Maybe scoped search ext_method could be used for this.

#3 - 07/17/2014 07:43 AM - Martin Ducar

I'm willing to test this when some code is prepared, this is real blocker after our switch to Foreman 1.5

#4 - 07/31/2014 05:00 AM - Martin Ducar

Can we change this to bug as this is regression from 1.4 version, unless you are willing to have 1:1 mapping role to user

#5 - 08/21/2014 06:38 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#6 - 08/21/2014 06:45 AM - Dominic Cleal

- Target version set to 1.7.4
#7 - 08/25/2014 09:54 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1713 added

- Pull request deleted ()

#8 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#9 - 09/15/2014 08:57 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#10 - 09/15/2014 08:57 AM - Dominic Cleal

- Related to Bug #7440: autocomplete for 'owner = current_user' is not working added

#11 - 09/15/2014 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5dfb51bbe0b7c1ff91868437f627e6c535d87542.
